%define major		1
%define libname		%mklibname cgsi-gsoap %{major}
%define develname	%mklibname cgsi-gsoap -d
%define _name		CGSI-gSOAP

Name:		cgsi-gsoap
Version:	1.3.11
Release:	%mkrel 4
Summary:	GSI plugin for gSOAP
Group:          System/Libraries
License:	ASL 2.0
URL:		http://glite.web.cern.ch/glite/
#		The source tarfile is created from a repository checkout:
#		git clone https://gitlab.cern.ch/dmc/cgsi-gsoap.git -b master CGSI-gSOAP-1.3.11
#		cd CGSI-gSOAP-1.3.11
#		git checkout v1.3.11
#		cd ..
#		tar --exclude-vcs -z -c -f CGSI-gSOAP-1.3.11.tar.gz CGSI-gSOAP-1.3.11
Source0:	%{_name}-%{version}.tar.gz
Patch0:		%{_name}-library-linking.patch

BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(globus-gss-assist)
BuildRequires:	pkgconfig(globus-gssapi-gsi)
BuildRequires:	pkgconfig(gsoap)
BuildRequires:	pkgconfig(voms-2.0)

%description
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package -n %{libname}
Summary:	GSI plugin for gSOAP
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{_name} = %{version}-%{release}

Obsoletes:	%{_lib}cgsi-gsoap0 < 1.3.11-3

%description -n %{libname}
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package -n %{develname}
Summary:	GSI plugin for gSOAP - development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(gsoap)

%description -n %{develname}
This package provides the header files for programming with the cgsi-gsoap
plugins.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

# Fix bad permissions (which otherwise end up in the debuginfo package)
find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o -name '*.cc' ')' \
    -exec chmod 644 {} ';'
chmod 644 LICENSE RELEASE-NOTES

# Remove -L/usr/lib and -L/usr/lib64 since they may cause problems
sed -e 's!-L$([A-Z_]*)/lib!!' \
    -e 's!-L$([A-Z_]*)/$(LIBDIR)!!' -i src/Makefile

# Remove gsoap version from library names
sed -e 's!$(GSOAP_VERSION)!!g' -i src/Makefile

%build
. ./VERSION
cd src

make CFLAGS="%optflags -fPIC -I. `pkg-config --cflags gsoap`" \
     SHLIBLDFLAGS="%{?__global_ldflags} -shared" \
     USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
     GLOBUS_LIBS="-lglobus_gss_assist \
	-lglobus_gssapi_gsi \
	-lglobus_gsi_credential \
	-lglobus_gsi_cert_utils \
	-lglobus_openssl \
	-lglobus_common -lgsoap -lpthread -lssl -lcrypto" \
     LIBDIR=%{_lib} VERSION=$VERSION all doc

%install
. ./VERSION
pushd src
make CFLAGS="%optflags -fPIC -I. `pkg-config --cflags gsoap`" \
     SHLIBLDFLAGS="%{?__global_ldflags} -shared" \
     USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} VERSION=$VERSION install install.man

mkdir -p %{buildroot}%{_pkgdocdir}
mv %{buildroot}%{_datadir}/doc/CGSI/html %{buildroot}%{_pkgdocdir}
popd
install -p -m 644 RELEASE-NOTES %{buildroot}%{_pkgdocdir}

rm %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%{_libdir}/libcgsi_plugin.so.%{major}{,.*}
%{_libdir}/libcgsi_plugin_cpp.so.%{major}{,.*}
%{_libdir}/libcgsi_plugin_voms.so.%{major}{,.*}
%{_libdir}/libcgsi_plugin_voms_cpp.so.%{major}{,.*}
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/RELEASE-NOTES
%license LICENSE

%files -n %{develname}
%{_includedir}/cgsi_plugin.h
%{_libdir}/libcgsi_plugin.so
%{_libdir}/libcgsi_plugin_cpp.so
%{_libdir}/libcgsi_plugin_voms.so
%{_libdir}/libcgsi_plugin_voms_cpp.so
%{_mandir}/man*/*
%doc %{_pkgdocdir}/html


%changelog
* Mon Jul 13 2020 daviddavid <daviddavid> 1.3.11-4.mga8
+ Revision: 1605757
- do not mark manpage as doc

* Sun Jul 12 2020 daviddavid <daviddavid> 1.3.11-3.mga8
+ Revision: 1605587
- fix library pkg name (major is 1)

* Sun Jul 12 2020 joequant <joequant> 1.3.11-2.mga8
+ Revision: 1605522
- update with new gsoap

* Thu Apr 30 2020 joequant <joequant> 1.3.11-1.mga8
+ Revision: 1573401
- add group
- imported package cgsi-gsoap

